• caglararli@hotmail.com
  • 05386281520

CVE-2024-31081 | X.org X11 Server up to 21.1.11 ProcXIPassiveGrabDevice heap-based overflow

Çağlar Arlı      -    10 Views

CVE-2024-31081 | X.org X11 Server up to 21.1.11 ProcXIPassiveGrabDevice heap-based overflow

A vulnerability has been found in X.org X11 Server up to 21.1.11 and classified as critical. This vulnerability affects the function ProcXIPassiveGrabDevice. The manipulation leads to heap-based buffer overflow. This vulnerability was named CVE-2024-31081. An attack has to be approached locally. There is no exploit available. It is recommended to upgrade the affected component.